> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update product quantity deal

> Developer API operation for PATCH /dev/v1/products/quantity-deals/{uniqid}.



## OpenAPI

````yaml /openapi.json patch /dev/v1/products/quantity-deals/{uniqid}
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/products/quantity-deals/{uniqid}:
    patch:
      tags:
        - Products
      summary: Update product quantity deal
      description: >-
        Developer API operation for PATCH
        /dev/v1/products/quantity-deals/{uniqid}.
      operationId: patchDevV1ProductsQuantity-dealsByUniqid
      parameters:
        - name: uniqid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
          multipart/form-data:
            schema:
              type: object
              additionalProperties: true
          text/plain:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````